CFPRIME HEAD                                                            HEAD        1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE HEAD                                                   HEAD        3
CD                                                                      HEAD        4
CD    TO PRINT THE HEADING IN PROGRESS AND ERROR & WARNING MESSAGE      HEAD        5
CD    FILES.                                                            HEAD        6
CD                                                                      HEAD        7
      INCLUDE 'PARX.INS'                                                HEAD        8
      INCLUDE 'CNPT.INS'                                                HEAD        9
      INCLUDE 'CNB0.INS'                                                HEAD       10
      INCLUDE 'CNB4.INS'                                                HEAD       11
      INCLUDE 'CNB19.INS'                                               HEAD       12
      INCLUDE 'CNPARX.INS'                                              HEAD       13
      INCLUDE 'CNIMPR.INS'                                              HEAD       14
      INCLUDE 'CNREC1.INS'                                              HEAD       15
      INCLUDE 'CNFLAG.INS'                                              HEAD       16
      INCLUDE 'CNUNIT.INS'                                              HEAD       17
      INCLUDE 'CNULTC.INS'                                              HEAD       18
C                                                                       HEAD       19
      CHARACTER*80 TITLE(6)                                             HEAD       20
      EQUIVALENCE (ITITLE(1,1),TITLE(1))                                HEAD       21
C                                                                       HEAD       22
      LDEB=(JDEB(21).NE.0)                                              HEAD       23
C                                                                       HEAD       24
      FBASE=WOBASE*PI/4.0                                               HEAD       25
      CALL PAGE6                                                        HEAD       26
      WRITE(IU6,100) BASPC,FBASE                                        HEAD       27
      WRITE(IU6,200) LFNO,ICASE,(IDENT(K),K=1,6),(NAME(K),K=1,14),      HEAD       28
     1(IDATE(K),K=1,3)                                                  HEAD       29
      WRITE(IU6,300)(TEXT(K),K=1,60),(TITLE(J),J=1,6)                   HEAD       30
C                                                                       HEAD       31
C * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * HEAD       32
C                                                                       HEAD       33
      WRITE(IU6,400) NLFBUS,NL,ITRF,NLOD,NLBS,NCLD,NKCUR,NKMVA,NTSCL    HEAD       34
     1,NT,IFNBUS                                                        HEAD       35
      WRITE(IU6,500) NMOTL,KCDC,NSVC,NRANI,NTCPS,NSDB,NAUT,NULTC        HEAD       36
      WRITE(IU6,600) MPRITE,MAXIT,ERTOL,VTHZL,VTHZH,ZILTOL,NREFUC       HEAD       37
     1              ,MULTSW                                             HEAD       38
      CALL PAGE6                                                        HEAD       39
      WRITE(IU6,700) MAXNIT,IJMCT,IPREDM,RESTOL,ZDTOL,GVTMIN,GVTMAX     HEAD       40
     1,BUVMIN,BUVMAX,XMAXSD                                             HEAD       41
C                                                                       HEAD       42
C * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * HEAD       43
C                                                                       HEAD       44
      RETURN                                                            HEAD       45
C                                                                       HEAD       46
 100  FORMAT(' SYSTEM BASE',/,' -----------',/,' COMMON MVA BASE = '    HEAD       47
     1,F7.2,/,' FREQUENCY BASE  = ',F7.2,' HZ',//)                      HEAD       48
 200  FORMAT(' LOAD FLOW CASE AND DESCRIPTION',/,1X,30('-'),/           HEAD       49
     1,'  LF#',I10,' CASE#',I4,2X,6A4,2X,14A4,2X,3A4,//)                HEAD       50
 300  FORMAT(3(1X,20A4,/),6(1X,A80,/))                                  HEAD       51
 400  FORMAT (/,' NETWORK',/,'-------'                                  HEAD       52
     1,/,' NODES =',I6,'   TOTAL NUMBER OF BUSES'                       HEAD       53
     2,/,' NL    =',I6,'   TOTAL NUMBER OF LINES'                       HEAD       54
     3,/,' ITRF  =',I6,'   TOTAL NUMBER OF TRANSFORMERS',/              HEAD       55
     4,/,' LOADS',/,' -----'                                            HEAD       56
     5,/,' NLOD  =',I6,'   NO. OF BUSES WITH NONLINEAR LOAD'            HEAD       57
     6,/,' NLBS  =',I6,'   NO. OF BUSES WITH VOLTAGE EXPONENTIAL LOAD'  HEAD       58
     7,/,' NCLD  =',I6,'   NO. OF BUSES WITH COMPOSITE LOAD'            HEAD       59
     8,/,' NKCUR =',I6,'   NO. OF BUSES WITH CONSTANT CURRENT LOAD'     HEAD       60
     9,/,' NKMVA =',I6,'   NO. OF BUSES WITH CONSTANT MVA AND PF LOAD'  HEAD       61
     A,/,' NTSCL =',I6,'   NO. OF BUSES WITH THERMOSTATICALLY ',        HEAD       62
     1'CONTROLLED LOAD',/                                               HEAD       63
     2,/,' DYNAMIC DEVICES',/,' ---------------'                        HEAD       64
     3,/,' NT    =',I6,'   NO. OF SYNCHRONOUS MACHINES'                 HEAD       65
     4,/,' NB    =',I6,'   NO. OF INFINITE BUS ')                       HEAD       66
 500  FORMAT(' NMOT  =',I6,'   NO. OF INDUCTION MOTOR'                  HEAD       67
     1,/,' NCON  =',I6,'   NO. OF DC CONVERTERS'                        HEAD       68
     2,/,' NSVC  =',I6                                                  HEAD       69
     3,'   NO. OF STATIC VAR COMPENSATORS (& SAT. REACTORS)',/,         HEAD       70
     4' NRAN  =',I6,'   NO. OF RAPID ADJUSTABLE OF NETWORK IMPEDANCES'  HEAD       71
     5,/,' NSTP  =',I6,'   NO. OF STATIC TAP CHANGER / PHASE SHIFTERS'  HEAD       72
     6,/,' NSDB  =',I6,'   NO. OF STATIC DYNAMIC BRAKES'                HEAD       73
     7,/,' NAUT  =',I6,'   NO. OF AUTOMATIC SWITCHING SCHEMES'          HEAD       74
     8,/,' NULTC =',I6,'   NO. OF UNDER LOAD TAP CHANGING TRANSFORMERS' HEAD       75
     9,/)                                                               HEAD       76
 600  FORMAT(' PARAMETERS RELATED TO SOLUTION OF ALGEBRAIC EQUATIONS'   HEAD       77
     1,/,' -----------------------------------------------------'       HEAD       78
     2,/,' MPRITE=',I6,'   MAXIMUM ITERATIONS FOR PRE-FAULT NETWORK'    HEAD       79
     3,' SOLUTION'                                                      HEAD       80
     4,/,' MAXITE=',I6,'   MAXIMUM ITERATIONS FOR NETWORK SOLUTION PER' HEAD       81
     5,' TIME STEP'                                                     HEAD       82
     6,/,' VCTOLE=',F8.6,' VOLTAGE CONVERGENCE TOLERANCE FOR NETWORK'   HEAD       83
     7,' SOLUTION'                                                      HEAD       84
     8,/,' LTHVOL=',F8.6,' LOWER THRESHOLD VOLTAGE OF NONLINEAR LOAD'   HEAD       85
     9,/,' HTHVOL=',F8.6,' UPPER THRESHOLD VOLTAGE OF NONLINEAR LOAD'   HEAD       86
     A,/,' ZILTOL=',F8.6,' ZERO IMPEDANCE LINE TOLERANCE'               HEAD       87
     1,/,' NREFUC=',I6                                                  HEAD       88
     2,'   NETWORK SOLUTION ALGORITHM AFTER ULTC OPERATION'             HEAD       89
     3,/,20X,'1:  REFACTORIZATIION;   0:  ITERATION'                    HEAD       90
     1,/,' MULTSW=',I6                                                  HEAD       91
     2,'   NUMBER OF TIME STEPS FOR CHECKING ULTC OPERATION'            HEAD       92
     3,/,20X,'NEGATIVE NUMBER DISABLES ALL THE ULTC OPERATIONS')        HEAD       93
 700  FORMAT(' PARAMETERS RELATED TO SOLUTION USING THE IMPLICIT METHOD'HEAD       94
     1,/,' --------------------------------------------------------'    HEAD       95
     2,/,' MAXNIT=',I6                                                  HEAD       96
     3,'   MAXIMUM NUMBER OF ITERATIONS IN EACH TIME STEP'              HEAD       97
     4,/,' IJMCT =',I6,'   JACOBIAN UPDATE INTERVAL WITHIN A TIME STEP' HEAD       98
     5,/,' IPREDM=',I6,'   METHOD OF STATE PREDICTION'                  HEAD       99
     6,/,' RESTOL=',F8.6,' CONVERGENCE TOLERANCE',/                     HEAD      100
     7,/,' PARAMETERS RELATED TO DATA AND STABILITY CHECKS'             HEAD      101
     8,/,' -----------------------------------------------'             HEAD      102
     9,/,' ZDTOL =',F8.6,' PRE FAULT DERIVATIVE TOLERANCE'              HEAD      103
     A,/,' GVTMIN=',F8.6,' LOWER LIMIT OF GENERATOR TERMINAL VOLTAGE'   HEAD      104
     1,/,' GVTMAX=',F8.6,' UPPER LIMIT OF GENERATOR TERMINAL VOLTAGE'   HEAD      105
     2,/,' BUVMIN=',F8.6,' LOWER LIMIT OF BUS VOLTAGE'                  HEAD      106
     3,/,' BUVMAX=',F8.6,' UPPER LIMIT OF BUS VOLTAGE'                  HEAD      107
     4,/,' XMAXSD=',F8.6,' MAXIMUM SPEED DEVIATION IN P.U. FOR'         HEAD      108
     5,' SIMULATION TERMINATION')                                       HEAD      109
      END                                                               HEAD      110
